<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSrst StructType
 * @subpackage Structs
 */
class RSrst extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipAddress;
    /**
     * The SipNetwork
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SipNetwork;
    /**
     * The SipPort
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SipPort;
    /**
     * The srstCertificatePort
     * Meta information extracted from the WSDL
     * - documentation: Read-Only
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $srstCertificatePort;
    /**
     * The isSecure
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isSecure;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSrst
     * @uses RSrst::setName()
     * @uses RSrst::setPort()
     * @uses RSrst::setIpAddress()
     * @uses RSrst::setSipNetwork()
     * @uses RSrst::setSipPort()
     * @uses RSrst::setSrstCertificatePort()
     * @uses RSrst::setIsSecure()
     * @uses RSrst::setUuid()
     * @param string $name
     * @param string $port
     * @param string $ipAddress
     * @param string $sipNetwork
     * @param string $sipPort
     * @param string $srstCertificatePort
     * @param string $isSecure
     * @param string $uuid
     */
    public function __construct($name = null, $port = null, $ipAddress = null, $sipNetwork = null, $sipPort = null, $srstCertificatePort = null, $isSecure = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setPort($port)
            ->setIpAddress($ipAddress)
            ->setSipNetwork($sipNetwork)
            ->setSipPort($sipPort)
            ->setSrstCertificatePort($srstCertificatePort)
            ->setIsSecure($isSecure)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setPort($port = null)
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string|null
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }
    /**
     * Set ipAddress value
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setIpAddress($ipAddress = null)
    {
        $this->ipAddress = $ipAddress;
        return $this;
    }
    /**
     * Get SipNetwork value
     * @return string|null
     */
    public function getSipNetwork()
    {
        return $this->SipNetwork;
    }
    /**
     * Set SipNetwork value
     * @param string $sipNetwork
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setSipNetwork($sipNetwork = null)
    {
        $this->SipNetwork = $sipNetwork;
        return $this;
    }
    /**
     * Get SipPort value
     * @return string|null
     */
    public function getSipPort()
    {
        return $this->SipPort;
    }
    /**
     * Set SipPort value
     * @param string $sipPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setSipPort($sipPort = null)
    {
        $this->SipPort = $sipPort;
        return $this;
    }
    /**
     * Get srstCertificatePort value
     * @return string|null
     */
    public function getSrstCertificatePort()
    {
        return $this->srstCertificatePort;
    }
    /**
     * Set srstCertificatePort value
     * @param string $srstCertificatePort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setSrstCertificatePort($srstCertificatePort = null)
    {
        $this->srstCertificatePort = $srstCertificatePort;
        return $this;
    }
    /**
     * Get isSecure value
     * @return string|null
     */
    public function getIsSecure()
    {
        return $this->isSecure;
    }
    /**
     * Set isSecure value
     * @param string $isSecure
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setIsSecure($isSecure = null)
    {
        $this->isSecure = $isSecure;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSrst
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
